unit uEditorStrings;

interface

uses
  Classes, HEditor, heRaStrings, Rubies;

var
  cEditorStrings: Tvalue;

function ap_iEditorStrings(real: TEditorStrings; owner: Tvalue): Tvalue;
procedure Init_EditorStrings;

implementation

uses
  Pythia, uEditor;

function EditorStrings_alloc(This: Tvalue; real: TStrings): Tvalue;
begin
  result := TmpAlloc(This, real);
end;

function ap_iEditorStrings(real: TEditorStrings; owner: Tvalue): Tvalue;
begin
  result := EditorStrings_alloc(cEditorStrings, real);
  ap_owner(result, owner);
end;

function ap_iEditorStrings_v(var AControl; owner: Tvalue): Tvalue;
begin
  result := ap_iEditorStrings(TEditorStrings(AControl), owner)
end;
procedure Init_EditorStrings;
begin
  DefineConstSetType(cEditor, TypeInfo(TRowAttribute));

  cEditorStrings := rb_define_class_under(cEditor, 'Strings', ap_cStrings);
end;

end.
